=== modified file 'qreator/QRCode.py'
--- qreator/QRCode.py	2012-05-19 14:45:57 +0000
+++ qreator/QRCode.py	2012-05-23 12:58:45 +0000
@@ -1,4 +1,3 @@
-#!/usr/bin/env python
 # -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
 ### BEGIN LICENSE
 # Copyright (C) 2012 David Planella <david.planella@ubuntu.com>
@@ -27,10 +26,12 @@
     MEDIUM = 230
     LARGE = 350
 
+
 class QRCodeOutput(object):
     PIL_IMAGE = 0
     CAIRO_SURFACE = 1
 
+
 class QRCode(object):
 
     def __init__(self, output_size=QRCodeSize.MEDIUM):
@@ -42,7 +43,7 @@
 
     def encode(self, text, output_type=QRCodeOutput.PIL_IMAGE):
         '''Encodes the given text and returns a QR code in the given format'''
-        
+
         if output_type == QRCodeOutput.PIL_IMAGE:
             qr_code = self._encode_to_pil(text)
         elif output_type == QRCodeOutput.CAIRO_SURFACE:

=== modified file 'qreator/QreatorWindow.py'
--- qreator/QreatorWindow.py	2012-05-21 17:53:53 +0000
+++ qreator/QreatorWindow.py	2012-05-23 12:58:45 +0000
@@ -14,9 +14,12 @@
 # with this program.  If not, see <http://www.gnu.org/licenses/>.
 ### END LICENSE
 
-import gettext
-from gettext import gettext as _
-gettext.textdomain('qreator')
+TEXTDOMAIN = 'qreator'
+LOCALEDIR = '/opt/extras.ubuntu.com/qreator/share/locale/'
+import locale
+from locale import gettext as _
+locale.bind_textdomain_codeset(TEXTDOMAIN, LOCALEDIR, 'UTF-8')
+locale.textdomain(TEXTDOMAIN)
 
 import cairo
 import math

=== modified file 'qreator/__init__.py'
--- qreator/__init__.py	2012-05-19 14:45:57 +0000
+++ qreator/__init__.py	2012-05-23 12:58:45 +0000
@@ -16,20 +16,24 @@
 
 import optparse
 
-import gettext
-from gettext import gettext as _
-gettext.textdomain('qreator')
+TEXTDOMAIN = 'qreator'
+LOCALEDIR = '/opt/extras.ubuntu.com/qreator/share/locale/'
+import locale
+from locale import gettext as _
+locale.bind_textdomain_codeset(TEXTDOMAIN, LOCALEDIR, 'UTF-8')
+locale.textdomain(TEXTDOMAIN)
 
 from gi.repository import GtkClutter
 ## Needs to be called here, otherwise the GtkChamplain widget needs to be
 ## explicitly connected to signals and methods defined
 GtkClutter.init([])
-from gi.repository import Gtk # pylint: disable=E0611
+from gi.repository import Gtk  # pylint: disable=E0611
 
 from qreator import QreatorWindow
 
 from qreator_lib import set_up_logging, get_version
 
+
 def parse_options():
     """Support for command line options"""
     parser = optparse.OptionParser(version="%%prog %s" % get_version())
@@ -43,8 +47,8 @@
         "-t", "--text", dest="view", action="store_const", const="text",
         help=_("Create a QR code from text"))
     parser.add_option(
-        "-l", "--location", dest="view", action="store_const", const="location",
-        help=_("Create a QR code for a location"))
+        "-l", "--location", dest="view", action="store_const",
+        const="location", help=_("Create a QR code for a location"))
     parser.add_option(
         "-w", "--wifi", dest="view", action="store_const", const="wifi",
         help=_("Create a QR code for WiFi settings"))
@@ -53,11 +57,12 @@
     set_up_logging(options)
     return options
 
+
 def main():
     'constructor for your class instances'
     options = parse_options()
 
-    # Run the application. 
+    # Run the application
     window = QreatorWindow.QreatorWindow()
     window.show()
     if getattr(options, 'view', None) is not None:

=== modified file 'qreator_lib/helpers.py'
--- qreator_lib/helpers.py	2012-05-19 14:45:57 +0000
+++ qreator_lib/helpers.py	2012-05-23 12:58:45 +0000
@@ -21,9 +21,12 @@
 from . qreatorconfig import get_data_file
 from . Builder import Builder
 
-import gettext
-from gettext import gettext as _
-gettext.textdomain('qreator')
+TEXTDOMAIN = 'qreator'
+LOCALEDIR = '/opt/extras.ubuntu.com/qreator/share/locale/'
+import locale
+from locale import gettext as _
+locale.bind_textdomain_codeset(TEXTDOMAIN, LOCALEDIR, 'UTF-8')
+locale.textdomain(TEXTDOMAIN)
 
 def get_builder(builder_file_name):
     """Return a fully-instantiated Gtk.Builder instance from specified ui 

=== modified file 'qreator_lib/qreatorconfig.py'
--- qreator_lib/qreatorconfig.py	2012-05-19 14:45:57 +0000
+++ qreator_lib/qreatorconfig.py	2012-05-23 12:58:45 +0000
@@ -33,9 +33,12 @@
 
 import os
 
-import gettext
-from gettext import gettext as _
-gettext.textdomain('qreator')
+TEXTDOMAIN = 'qreator'
+LOCALEDIR = '/opt/extras.ubuntu.com/qreator/share/locale/'
+import locale
+from locale import gettext as _
+locale.bind_textdomain_codeset(TEXTDOMAIN, LOCALEDIR, 'UTF-8')
+locale.textdomain(TEXTDOMAIN)
 
 class project_path_not_found(Exception):
     """Raised when we can't find the project directory."""

